### Constructor

# Foundry TextEdit new

#### Declaration [src]

    FoundryTextEdit*
    foundry_text_edit_new (
      GFile* file,
      guint begin_line,
      int begin_line_offset,
      guint end_line,
      int end_line_offset,
      const char* replacement
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GFile`

  No description available.

  The data is owned by the caller of the function.

`begin_line`

  Type: `guint`

  No description available.

`begin_line_offset`

  Type: `int`

  No description available.

`end_line`

  Type: `guint`

  No description available.

`end_line_offset`

  Type: `int`

  No description available.

`replacement`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FoundryTextEdit`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.